View Issue Details

IDProjectCategoryView StatusLast Update
0006063Talerdocumentationpublic2020-09-11 22:24
Reportergrote Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006063: Document how to create a withdrawal operation record
DescriptionIn order to withdraw money from a bank you need a to create a withdrawal operation record in the Bank’s database. The wallet needs to use a unique identifier for the withdrawal operation (the wopid) to interact with the withdrawal operation. See https://docs.taler.net/core/api-bank.html#withdrawing

There's currently no public/documented API to do this, but it would be
trivial to add. We're already using the *undocumented* version of this
API to do a withdrawal in the integration test implemented by the Node
wallet.

But that API should be IMHO a feature of specifically the Python demo
bank. The above page describes what a commercial bank (GLS, etc.) would
need to minimally implement to tightly integrate with Taler. That
should not include an API to create withdrawals operations.
TagsNo tags attached.

Activities

Florian Dold

2020-08-20 14:37

manager   ~0016683

That has long been documented in the bank access API (https://docs.taler.net/core/api-bank-access.html)

Issue History

Date Modified Username Field Change
2020-01-23 17:09 grote New Issue
2020-01-23 17:09 grote Status new => assigned
2020-01-23 17:09 grote Assigned To => Florian Dold
2020-08-20 14:37 Florian Dold Status assigned => resolved
2020-08-20 14:37 Florian Dold Resolution open => fixed
2020-08-20 14:37 Florian Dold Note Added: 0016683
2020-09-11 22:24 Christian Grothoff Fixed in Version => 0.8
2020-09-11 22:24 Christian Grothoff Target Version => 0.8